Bug 1472219 - (CVE-2017-7774) CVE-2017-7774 graphite2: out of bounds read "graphite2::Silf::readGraphite"
CVE-2017-7774 graphite2: out of bounds read "graphite2::Silf::readGraphite"
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170614,reported=2...
: Security
Depends On: 1472290 1472291 1472292
Blocks: 1469141
  Show dependency treegraph
 
Reported: 2017-07-18 05:25 EDT by Stefan Cornelius
Modified: 2017-07-21 10:05 EDT (History)
5 users (show)

See Also:
Fixed In Version: graphite2 1.3.10
Doc Type: If docs needed, set a value
Doc Text:
An out of bounds read flaw related to "graphite2::Silf::readGraphite" has been reported in graphite2. An attacker could possibly exploit this flaw to disclose potentially sensitive memory or cause an application crash.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-21 05:13:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1793 normal SHIPPED_LIVE Important: graphite2 security update 2017-07-20 23:16:00 EDT

  None (edit)
Description Stefan Cornelius 2017-07-18 05:25:19 EDT
An out of bounds read flaw related to "graphite2::Silf::readGraphite" has been reported in graphite2. An attacker could possibly exploit this flaw to disclose potentially sensitive memory or cause an application crash.
Comment 1 Stefan Cornelius 2017-07-18 05:25:36 EDT
Acknowledgments:

Name: the Mozilla project
Upstream: Holger Fuhrmannek, Tyson Smith
Comment 4 errata-xmlrpc 2017-07-20 19:17:18 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1793 https://access.redhat.com/errata/RHSA-2017:1793

Note You need to log in before you can comment on or make changes to this bug.